agent_id: memory-compressor
model: claude-haiku-4-6
squad: memory-and-knowledge
thread_type: C-Thread
purpose: Compress verbose memory entries to token-efficient summaries without losing semantic fidelity
status: ready
created: 2026-02-24
